Bug 1594196 - [v2v][RFE] Ability to limit the number of concurrent migrations (throttling)
Summary: [v2v][RFE] Ability to limit the number of concurrent migrations (throttling)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.10.0
Assignee: Marco Berube
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
: 1592768 (view as bug list)
Depends On:
Blocks: 1601090
TreeView+ depends on / blocked
 
Reported: 2018-06-22 11:20 UTC by Marco Berube
Modified: 2019-02-07 23:03 UTC (History)
10 users (show)

Fixed In Version: 5.10.0.19
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:14 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)
fixed_proof.png (65.31 KB, image/png)
2018-12-05 12:26 UTC, Yadnyawalk Tale
no flags Details


Links
System ID Priority Status Summary Last Updated
Github /ManageIQ miq_v2v_ui_plugin issues 431 None None None 2018-06-22 11:25:57 UTC
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:24 UTC

Description Marco Berube 2018-06-22 11:20:08 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Daniel Gur 2018-07-02 14:03:35 UTC
Will it indeed be part of Sprint 10 which is now aimed for 5.9.4 v2v GA, or 5.10, without this we are actually limiting the migration plan size.

Comment 4 Loic Avenel 2018-08-02 13:56:33 UTC
*** Bug 1592768 has been marked as a duplicate of this bug. ***

Comment 5 Sudhir Mallamprabhakara 2018-08-08 14:29:27 UTC
*** Bug 1613848 has been marked as a duplicate of this bug. ***

Comment 7 Yadnyawalk Tale 2018-10-03 14:28:40 UTC
@Fabien, any thoughts on how to test this thing?

Comment 8 Fabien Dupont 2018-10-03 14:47:49 UTC
Well, this is refactoring of the existing throttling feature that limits the number of concurrent migrations per conversion host and/or per provider. So, the test is to ensure that there is no regression.

Comment 9 Fabien Dupont 2018-10-03 16:54:11 UTC
A bug has been found and a PR has been submitted:
https://github.com/ManageIQ/manageiq-content/pull/439

Comment 10 CFME Bot 2018-10-05 16:02:32 UTC
New commit detected on ManageIQ/manageiq-content/hammer:

https://github.com/ManageIQ/manageiq-content/commit/e130743043012631bcd4f0bc26ef41a9103f5115
commit e130743043012631bcd4f0bc26ef41a9103f5115
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Oct  4 16:47:07 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Thu Oct  4 16:47:07 2018 -0400

    Merge pull request #439 from fdupont-redhat/v2v_fix_admin_userid_in_throttler_launch

    Fix userid in transformation throttler launch

    (cherry picked from commit 5688461f40a7e4a0b1f507202b910e8a0ffbea5b)

    https://bugzilla.redhat.com/show_bug.cgi?id=1594196

 content/automate/ManageIQ/Transformation/TransformationThrottler.class/__methods__/utils.rb | 2 +-
 spec/content/automate/ManageIQ/Transformation/TransformationThrottler.class/__methods__/utils_spec.rb | 3 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

Comment 11 Yadnyawalk Tale 2018-12-05 12:26:20 UTC
Created attachment 1511660 [details]
fixed_proof.png

I have checked by setting concurrent migration limit with UI as well as from rail console separately, both works. When I set limit to 2 and run 3 plans with single-single vm, it just start first two and third plan waits in Pre-migration state which is what we have expected. I can also seen transformation/transformationthrottler/watch in automate.log while running through mentioned wait period.

Verified on - 5.10.0.27.20181128170555_43ed8cb

Comment 12 Daniel Gur 2018-12-05 14:39:13 UTC
What was the implementation enhancement here from the v1?
The algorithm is now checking and picking the Conversion host according to the existing CPU and memory load on the host?

Comment 13 Fabien Dupont 2018-12-05 14:41:39 UTC
@daniel, nope, still not. But we moved the conversion host code to backend and there's no regression. It's not an enhancement per se.

Comment 14 errata-xmlrpc 2019-02-07 23:03:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.